Wt: Wt::SignalBase Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::SignalBase Class Reference
Signal/slot system

Abstract base class of a signal. More...

Inheritance diagram for Wt::SignalBase:
[legend]

List of all members.

## Public Member Functions
WObject * | sender () const
| Returns the sender.
virtual bool | isConnected () const =0
| Returns whether this signal is connected.
virtual boost::signals::connection | connect (WObject *target, WObject::Method method)=0
| Connects to a slot.
template<class T , class V >
boost::signals::connection | connect (T *target, void(V::*method)())
| Connects to a slot.

## Detailed Description

Abstract base class of a signal.

Base class for all signals.

## Member Function Documentation

virtual boost::signals::connection Wt::SignalBase::connect | ( | WObject * | target,
|  | WObject::Method | method
| ) |  | `[pure virtual]`

Connects to a slot.

Every signal can be connected to a slot which does not take any arguments (and may thus ignore signal arguments).

Implemented in Wt::EventSignal< E >, Wt::JSignal< A1, A2, A3, A4, A5, A6 >, Wt::JSignal< Coordinate >, Wt::JSignal<>, Wt::JSignal< std::string, int >, Wt::JSignal< std::string >, Wt::JSignal< std::string, std::string, WMouseEvent, struct NoClass, struct NoClass, struct NoClass >, Wt::JSignal< int, int >, Wt::JSignal< int >, Wt::JSignal< std::string, std::string, std::string, std::string, WMouseEvent >, Wt::JSignal< void >, Wt::JSignal< int, int, std::string, std::string, WMouseEvent >, Wt::JSignal< std::string, int, std::string >, Wt::JSignal< bool >, Wt::JSignal< int, int, int, int >, Wt::JSignal< std::string, std::string >, Wt::Signal< A1, A2, A3, A4, A5, A6 >, Wt::Signal< WModelIndex >, Wt::Signal< WDate >, Wt::Signal< Identity >, Wt::Signal< ::uint64_t,::uint64_t >, Wt::Signal< WModelIndex, WModelIndex >, Wt::Signal< int, WLength >, Wt::Signal< WDialog * >, Wt::Signal< WRadioButton * >, Wt::Signal< double >, Wt::Signal<>, Wt::Signal< Orientation, int, int >, Wt::Signal< std::string >, Wt::Signal< int, int >, Wt::Signal< int64_t, int64_t >, Wt::Signal< Result >, Wt::Signal< Coordinate, NoClass >, Wt::Signal< int >, Wt::Signal< OAuthAccessToken >, Wt::Signal< WModelIndex, int, int >, Wt::Signal< int, WFormWidget * >, Wt::Signal< void >, Wt::Signal< WMenuItem * >, Wt::Signal< T, A1 >, Wt::Signal< boost::system::error_code, Message >, Wt::Signal< WModelIndex, WMouseEvent >, Wt::Signal< StandardButton >, Wt::Signal< WString >, Wt::Signal< int, NoClass >, Wt::Signal< bool >, Wt::Signal< WPopupMenu * >, Wt::Signal< WValidator::Result >, Wt::Signal< DialogCode >, Wt::Signal< WStandardItem * >, Wt::Signal< StandardButton, NoClass >, Wt::Signal< int, int, int, int >, Wt::Signal< WObject *, NoClass, NoClass, NoClass, NoClass, NoClass >, Wt::Signal< WWidget *, bool >, Wt::Signal< ::int64_t >, and Wt::Signal< Approval >.

template<class T , class V >

boost::signals::connection Wt::SignalBase::connect | ( | T * | target,
|  | void(V::*)() | method
| ) |  |

Connects to a slot.

Every signal can be connected to a slot which does not take any arguments (and may thus ignore signal arguments).

Reimplemented in Wt::EventSignal< E >, Wt::Signal< A1, A2, A3, A4, A5, A6 >, Wt::Signal< WModelIndex >, Wt::Signal< WDate >, Wt::Signal< Identity >, Wt::Signal< ::uint64_t,::uint64_t >, Wt::Signal< WModelIndex, WModelIndex >, Wt::Signal< int, WLength >, Wt::Signal< WDialog * >, Wt::Signal< WRadioButton * >, Wt::Signal< double >, Wt::Signal<>, Wt::Signal< Orientation, int, int >, Wt::Signal< std::string >, Wt::Signal< int, int >, Wt::Signal< int64_t, int64_t >, Wt::Signal< Result >, Wt::Signal< Coordinate, NoClass >, Wt::Signal< int >, Wt::Signal< OAuthAccessToken >, Wt::Signal< WModelIndex, int, int >, Wt::Signal< int, WFormWidget * >, Wt::Signal< void >, Wt::Signal< WMenuItem * >, Wt::Signal< T, A1 >, Wt::Signal< boost::system::error_code, Message >, Wt::Signal< WModelIndex, WMouseEvent >, Wt::Signal< StandardButton >, Wt::Signal< WString >, Wt::Signal< int, NoClass >, Wt::Signal< bool >, Wt::Signal< WPopupMenu * >, Wt::Signal< WValidator::Result >, Wt::Signal< DialogCode >, Wt::Signal< WStandardItem * >, Wt::Signal< StandardButton, NoClass >, Wt::Signal< int, int, int, int >, Wt::Signal< WObject *, NoClass, NoClass, NoClass, NoClass, NoClass >, Wt::Signal< WWidget *, bool >, Wt::Signal< ::int64_t >, Wt::Signal< Approval >, Wt::JSignal< A1, A2, A3, A4, A5, A6 >, Wt::JSignal< Coordinate >, Wt::JSignal<>, Wt::JSignal< std::string, int >, Wt::JSignal< std::string >, Wt::JSignal< std::string, std::string, WMouseEvent, struct NoClass, struct NoClass, struct NoClass >, Wt::JSignal< int, int >, Wt::JSignal< int >, Wt::JSignal< std::string, std::string, std::string, std::string, WMouseEvent >, Wt::JSignal< void >, Wt::JSignal< int, int, std::string, std::string, WMouseEvent >, Wt::JSignal< std::string, int, std::string >, Wt::JSignal< bool >, Wt::JSignal< int, int, int, int >, and Wt::JSignal< std::string, std::string >.

virtual bool Wt::SignalBase::isConnected | ( |  | ) | const`[pure virtual]`

Returns whether this signal is connected.

Returns true when the signal was connected to to at least one slot.

Implemented in Wt::EventSignal< E >, Wt::EventSignalBase, Wt::Signal< A1, A2, A3, A4, A5, A6 >, Wt::Signal< WModelIndex >, Wt::Signal< WDate >, Wt::Signal< Identity >, Wt::Signal< ::uint64_t,::uint64_t >, Wt::Signal< WModelIndex, WModelIndex >, Wt::Signal< int, WLength >, Wt::Signal< WDialog * >, Wt::Signal< WRadioButton * >, Wt::Signal< double >, Wt::Signal<>, Wt::Signal< Orientation, int, int >, Wt::Signal< std::string >, Wt::Signal< int, int >, Wt::Signal< int64_t, int64_t >, Wt::Signal< Result >, Wt::Signal< Coordinate, NoClass >, Wt::Signal< int >, Wt::Signal< OAuthAccessToken >, Wt::Signal< WModelIndex, int, int >, Wt::Signal< int, WFormWidget * >, Wt::Signal< void >, Wt::Signal< WMenuItem * >, Wt::Signal< T, A1 >, Wt::Signal< boost::system::error_code, Message >, Wt::Signal< WModelIndex, WMouseEvent >, Wt::Signal< StandardButton >, Wt::Signal< WString >, Wt::Signal< int, NoClass >, Wt::Signal< bool >, Wt::Signal< WPopupMenu * >, Wt::Signal< WValidator::Result >, Wt::Signal< DialogCode >, Wt::Signal< WStandardItem * >, Wt::Signal< StandardButton, NoClass >, Wt::Signal< int, int, int, int >, Wt::Signal< WObject *, NoClass, NoClass, NoClass, NoClass, NoClass >, Wt::Signal< WWidget *, bool >, Wt::Signal< ::int64_t >, Wt::Signal< Approval >, Wt::JSignal< A1, A2, A3, A4, A5, A6 >, Wt::JSignal< Coordinate >, Wt::JSignal<>, Wt::JSignal< std::string, int >, Wt::JSignal< std::string >, Wt::JSignal< std::string, std::string, WMouseEvent, struct NoClass, struct NoClass, struct NoClass >, Wt::JSignal< int, int >, Wt::JSignal< int >, Wt::JSignal< std::string, std::string, std::string, std::string, WMouseEvent >, Wt::JSignal< void >, Wt::JSignal< int, int, std::string, std::string, WMouseEvent >, Wt::JSignal< std::string, int, std::string >, Wt::JSignal< bool >, Wt::JSignal< int, int, int, int >, and Wt::JSignal< std::string, std::string >.

WObject* Wt::SignalBase::sender | ( |  | ) | const

Returns the sender.

The sender usually corresponds to the owner, and is used by the WSignalMapper to associated sender-specific data.

During a slot invocation, you can access the sender from WObject::sender().

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator